#pragma once
#include "MatrixAlgebra.h"
#include "diff_wheel_robot.h"

class CEKF
{
public:
	CEKF(double x, double y, double theta);
	~CEKF();

	void predict(double sl, double sr);
	void update(double zx, double zy, double r, double a);

	dMatrix X, P;
private:
	
};